Compare faces
curl --request POST \
--url https://api.txcloud.io/v1/identity/face-match \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_1": "aSDinaTvuI8gbWludGxpZnk=",
"image_2": "aSDinaTvuI8gbWludGxpZnk="
}
'{
"id": "<string>",
"object": "identity.face_match",
"match": true,
"similarity_score": 0.5,
"threshold": 123,
"confidence": 123
}Verification
Compare faces
Compares two face images and returns a similarity score.
**Use Cases:**
- Compare selfie to document photo
- Compare two selfies
- Re-verify returning user
**Thresholds:**
- ≥0.70 = Match
- 0.60-0.69 = Uncertain
- <0.60 = No match
POST
/
identity
/
face-match
Compare faces
curl --request POST \
--url https://api.txcloud.io/v1/identity/face-match \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image_1": "aSDinaTvuI8gbWludGxpZnk=",
"image_2": "aSDinaTvuI8gbWludGxpZnk="
}
'{
"id": "<string>",
"object": "identity.face_match",
"match": true,
"similarity_score": 0.5,
"threshold": 123,
"confidence": 123
}Authorizations
API key as Bearer token
Body
application/json
⌘I